How do I prepare for end of support for Kubernetes 1.15 on Amazon EKS?

Last updated: 2021-04-29

I want to prepare for the end of support for Kubernetes 1.15 on Amazon EKS in Amazon Elastic Kubernetes Service (Amazon EKS).

Short description

Kubernetes 1.15 on Amazon EKS reaches end of support on May 3, 2021.

Note: After Open Source community support for Kubernetes 1.15 ended on May 6, 2020, AWS provided an additional one year of support for Kubernetes 1.15 on Amazon EKS. This means that no bug fixes or security vulnerability patches will be back-ported to Kubernetes 1.15 on Amazon EKS. For more information, see Kubernetes Patch Releases on the Kubernetes GitHub site.

Resolution

To prepare for end of support, complete the following steps:

  1. Understand the impact of end of support.
  2. Complete the Kubernetes 1.16 update prerequisites.
  3. Update your Amazon EKS clusters by May 3, 2021.

For more information on preparing for deprecation, see Preparing for Kubernetes API deprecations when going from 1.15 to 1.16.

Note: If you're having issues with your Amazon EKS pods or apps, see Kubernetes 1.16 update prerequisites. The most common issue is kube-proxy failing to start because the --resource-container flag is still in the kube-proxy DaemonSet. To resolve this issue, remove the --resource-container flag.


Did this article help?


Do you need billing or technical support?